# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'service_packer/version'

Gem::Specification.new do |spec|
  spec.name          = "service_packer"
  spec.version       = ServicePacker::VERSION
  spec.authors       = ["fuxin"]
  spec.email         = ["haofxpro@gmail.com"]

  spec.summary       = "Decouple logic from Model-layer"
  spec.description   = "Extract common behaviors into a service, and standandize the processing of services."
  spec.homepage      = "https://github.com/FX-HAO/service_packer/"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'concurrent-ruby', '~> 1.0'

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
end
